View Issue Details

IDProjectCategoryView StatusLast Update
14417Bug reports[All Projects] Statisticspublic2019-04-30 09:11
ReporterdominikvittAssigned Todominikvitt 
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.15.x 
Target Version3.16.xFixed in Version3.15.x 
Summary14417: PHP warning on response statistics page when "Show graphs" option is turned on
Description

There is a PHP warning on response statistics page when "Show graphs" option is turned on:
count(): Parameter must be an array or an object that implements Countable

When debug mode is turned off, it works correctly.
It works correctly for HTML "Output format".
This warning is probably because of usage of PHP version 7.2, which has stricter object type handling.
Attached is an error message when outputting to PDF file.
Outputting to Excel doesn't show any error, it just breaks.

Steps To Reproduce

Debug mode is turned on.
Open statistics page.
Set "Output format" to PDF or Excel.
Select all answers.
Turn on "Show graphs" option.
Click on "View statistics" button.

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.15.6
I will donate to the project if issue is resolvedNo
BrowserChromium, Firefox
Database & DB-VersionMySQL 5.7.24-0ubuntu0.18.04.1
Server OS (if known)Linux Mint 19 Tara 64-bit
Webserver software & version (if known)Apache/2.4.29 (Ubuntu)
PHP Version7.2.13-1+ubuntu18.04.1+deb.sury.org+1

Relationships

has duplicate 14426 closeddominikvitt Error exporting PDF with graphs 

Activities

dominikvitt

dominikvitt

2019-01-10 15:42

developer  

PHP warning.html (23,198 bytes)
dominikvitt

dominikvitt

2019-01-17 14:51

developer   ~50256

https://bugs.limesurvey.org/plugin.php?page=Source/view&id=28768

Issue History

Date Modified Username Field Change
2019-01-10 15:42 dominikvitt New Issue
2019-01-10 15:42 dominikvitt File Added: PHP warning.html
2019-01-10 15:52 LouisGac Assigned To => dominikvitt
2019-01-10 15:52 LouisGac Status new => assigned
2019-01-14 12:25 dominikvitt Relationship added has duplicate 14426
2019-01-17 14:51 dominikvitt Status assigned => resolved
2019-01-17 14:51 dominikvitt Resolution open => fixed
2019-01-17 14:51 dominikvitt Fixed in Version => 3.15.x
2019-01-17 14:51 dominikvitt Note Added: 50256
2019-04-30 09:11 c_schmitz Status resolved => closed